/****************************************************************************
**
** Copyright (C) 2012 Digia Plc and/or its subsidiary(-ies).
** Contact: http://www.qt-project.org/legal
**
** This file is part of the QtGui module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:LGPL$
** Licensees holding valid Qt Commercial licenses may use this file in
** accordance with the Qt Commercial License Agreement provided with the 
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and Digia.  
**
** If you have questions regarding the use of this file, please use
** contact form at http://qt.digia.com
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef QMOUSELINUXTP_QWS_H
#define QMOUSELINUXTP_QWS_H

#include <QtGui/qmouse_qws.h>

QT_BEGIN_HEADER

QT_BEGIN_NAMESPACE

QT_MODULE(Gui)

#ifndef QT_NO_QWS_MOUSE_LINUXTP

class QWSLinuxTPMouseHandlerPrivate;

class QWSLinuxTPMouseHandler : public QWSCalibratedMouseHandler
{
    friend class QWSLinuxTPMouseHandlerPrivate;
public:
    explicit QWSLinuxTPMouseHandler(const QString & = QString(),
                                    const QString & = QString());
    ~QWSLinuxTPMouseHandler();

    void suspend();
    void resume();
protected:
    QWSLinuxTPMouseHandlerPrivate *d;
};

#endif // QT_NO_QWS_MOUSE_LINUXTP

QT_END_NAMESPACE

QT_END_HEADER

#endif // QMOUSELINUXTP_QWS_H
